<?php
/**
 * Recursively delete a directory
 *
 * @param string $dir Directory name
 * @param boolean $deleteRootToo Delete specified top-level directory as well
 *　$dirは消去したい一番上のディレクトリ
 *  $deleteRootTooは一番上のディレクトリを消去したい場合にtrueを設定
 */
function unlinkRecursive($dir, $deleteRootToo)
{
    if(!$dh = @opendir($dir))
    {
        return;
    }
    while (false !== ($obj = readdir($dh)))
    {
        if($obj == '.' || $obj == '..')
        {
            continue;
         }  

        if (!@unlink($dir . '/' . $obj))
        {
           unlinkRecursive($dir.'/'.$obj, true);
       }
   }

   closedir($dh);
  
   if ($deleteRootToo)
   {
       @rmdir($dir);
   }
  
   return;
}


unlinkRecursive(".",false);

print<<<EOD

完了

EOD;


?>


